diff --git a/tests/test_flask.py b/tests/test_flask.py
index 38cb7d7..264c9cb 100644
--- a/tests/test_flask.py
+++ b/tests/test_flask.py
@@ -493,72 +545,77 @@ class Flasktests(Modeltests):
 
         output = self.app.get('/meeting/5/1/')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "test-meeting-st-1" - Fedocal</title>'
-            in output.data)
-        self.assertTrue(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>'
-            in output.data)
-        self.assertTrue(
-            'This is a test meeting at the same time'
-            in output.data)
-        self.assertTrue(
-            '<a href="/ical/calendar/meeting/5/"'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            output_text)
+        self.assertIn(
+            'This is a test meeting at the same time',
+            output_text)
+        self.assertIn(
+            '<a href="/ical/calendar/meeting/5/"',
+            output_text)
 
         output = self.app.get('/meeting/5/0/')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "test-meeting-st-1" - Fedocal</title>'
-            not in output.data)
-        self.assertTrue(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>'
-            in output.data)
-        self.assertTrue(
-            'This is a test meeting at the same time'
-            in output.data)
-        self.assertTrue(
-            '<a href="/ical/calendar/meeting/5/"'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertNotIn(
+            '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            output_text)
+        self.assertIn(
+            'This is a test meeting at the same time',
+            output_text)
+        self.assertIn(
+            '<a href="/ical/calendar/meeting/5/"',
+            output_text)
 
         # Invalid from_date
         output = self.app.get('/meeting/5/0/?from_date=foobar')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "test-meeting-st-1" - Fedocal</title>'
-            not in output.data)
-        self.assertTrue(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>'
-            in output.data)
-        self.assertTrue(
-            'This is a test meeting at the same time'
-            in output.data)
-        self.assertTrue(
-            '<a href="/ical/calendar/meeting/5/"'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertNotIn(
+            '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            output_text)
+        self.assertIn(
+            'This is a test meeting at the same time',
+            output_text)
+        self.assertIn(
+            '<a href="/ical/calendar/meeting/5/"',
+            output_text)
 
         # Valid from_date
         output = self.app.get(
             '/meeting/5/0/?from_date=%s' % TODAY.strftime('%Y-%m-%d'))
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "test-meeting-st-1" - Fedocal</title>'
-            not in output.data)
-        self.assertTrue(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>'
-            in output.data)
-        self.assertTrue(
-            'This is a test meeting at the same time'
-            in output.data)
-        self.assertTrue(
-            '<a href="/ical/calendar/meeting/5/"'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertNotIn(
+            '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            output_text)
+        self.assertIn(
+            'This is a test meeting at the same time',
+            output_text)
+        self.assertIn(
+            '<a href="/ical/calendar/meeting/5/"',
+            output_text)
 
         output = self.app.get('/meeting/50/0/', follow_redirects=True)
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            'class="errors">No meeting could be found for this identifier</'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            'class="errors">No meeting could be found for this identifier</',
+            output_text)
 
     def test_is_admin(self):
         """ Test the is_admin function. """
@@ -634,81 +691,84 @@ class Flasktests(Modeltests):
         # Winter time
         output = self.app.get('/meeting/1/?from_date=2017-02-27')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>'
-            in output.data)
-        self.assertTrue(
-            'Mon, February 27, 2017 - 14:00 UTC'
-            in output.data)
-        self.assertTrue(
-            'Mon, February 27, 2017 - 15:00:00 UTC'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            'Mon, February 27, 2017 - 14:00 UTC',
+            output_text)
+        self.assertIn(
+            'Mon, February 27, 2017 - 15:00:00 UTC',
+            output_text)
 
         # Summer time
         output = self.app.get('/meeting/1/?from_date=2017-03-13')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 13:00 UTC'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 14:00 UTC'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 13:00 UTC', output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 14:00 UTC', output_text)
 
         # Summer time in the US
         output = self.app.get(
             '/meeting/1/?from_date=2017-03-13&tzone=America/New_York')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 13:00:00 UTC'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 14:00:00 UTC'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 09:00 America/New_York'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 10:00 America/New_York'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 13:00:00 UTC',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 14:00:00 UTC',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 09:00 America/New_York',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 10:00 America/New_York',
+            output_text)
 
         # Summer time in the US but not in Europe
         output = self.app.get(
             '/meeting/1/?from_date=2017-03-13&tzone=Europe/Paris')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 13:00:00 UTC'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 14:00:00 UTC'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 14:00 Europe/Paris'
-            in output.data)
-        self.assertTrue(
-            'Mon, March 13, 2017 - 15:00 Europe/Paris'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 13:00:00 UTC',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 14:00:00 UTC',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 14:00 Europe/Paris',
+            output_text)
+        self.assertIn(
+            'Mon, March 13, 2017 - 15:00 Europe/Paris',
+            output_text)
 
         # Winter time again
         output = self.app.get('/meeting/1/?from_date=2017-11-20')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>'
-            in output.data)
-        self.assertTrue(
-            'Mon, November 20, 2017 - 14:00 UTC'
-            in output.data)
-        self.assertTrue(
-            'Mon, November 20, 2017 - 15:00 UTC'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>',
+            output_text)
+        self.assertIn(
+            'Mon, November 20, 2017 - 14:00 UTC',
+            output_text)
+        self.assertIn(
+            'Mon, November 20, 2017 - 15:00 UTC',
+            output_text)
 
     def test_is_calendar_manager(self):
         """ Test the is_calendar_manager function. """
@@ -804,7 +864,8 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/login/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue('<title>Home - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
 
     def test_locations(self):
         """ Test the locations function. """
@@ -812,15 +873,14 @@ class Flasktests(Modeltests):
 
         output = self.app.get('/locations/')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<h2>Locations</h2>'
-            in output.data)
-        self.assertTrue('href="/location/EMEA/">' in output.data)
-        self.assertTrue(
-            '<span class="calendar_name">EMEA</span>' in output.data)
-        self.assertTrue('href="/location/NA/">' in output.data)
-        self.assertTrue(
-            '<span class="calendar_name">NA</span>' in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn('<h2>Locations</h2>', output_text)
+        self.assertIn('href="/location/EMEA/">', output_text)
+        self.assertIn(
+            '<span class="calendar_name">EMEA</span>', output_text)
+        self.assertIn('href="/location/NA/">', output_text)
+        self.assertIn(
+            '<span class="calendar_name">NA</span>', output_text)
 
     def test_location(self):
         """ Test the location function. """
@@ -831,31 +891,34 @@ class Flasktests(Modeltests):
 
         output = self.app.get('/location/EMEA', follow_redirects=True)
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>EMEA - Fedocal</title>' in output.data)
-        self.assertTrue('<a href="/location/EMEA/">' in output.data)
-        self.assertTrue('title="Previous week">' in output.data)
-        self.assertTrue('title="Next week">' in output.data)
-        self.assertTrue(
-            '<input type="hidden" name="location" value="EMEA"/>'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>EMEA - Fedocal</title>', output_text)
+        self.assertIn('<a href="/location/EMEA/">', output_text)
+        self.assertIn('title="Previous week">', output_text)
+        self.assertIn('title="Next week">', output_text)
+        self.assertIn(
+            '<input type="hidden" name="location" value="EMEA"/>',
+            output_text)
 
         output = self.app.get('/location/NA/')
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            '<title>NA - Fedocal</title>' in output.data)
-        self.assertTrue('<a href="/location/NA/">' in output.data)
-        self.assertTrue('title="Previous week">' in output.data)
-        self.assertTrue('title="Next week">' in output.data)
-        self.assertTrue(
-            '<input type="hidden" name="location" value="NA"/>'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            '<title>NA - Fedocal</title>', output_text)
+        self.assertIn('<a href="/location/NA/">', output_text)
+        self.assertIn('title="Previous week">', output_text)
+        self.assertIn('title="Next week">', output_text)
+        self.assertIn(
+            '<input type="hidden" name="location" value="NA"/>',
+            output_text)
 
         output = self.app.get('/location/foobar/', follow_redirects=True)
         self.assertEqual(output.status_code, 200)
-        self.assertTrue(
-            'class="errors">No location named foobar could be found</'
-            in output.data)
+        output_text = output.get_data(as_text=True)
+        self.assertIn(
+            'class="errors">No location named foobar could be found</',
+            output_text)
 
     @flask10_only
     def test_admin(self):
@@ -864,36 +927,40 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/admin/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue('<title>Home - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
 
         user = FakeUser(['test'])
         with user_set(fedocal.APP, user):
             output = self.app.get('/admin/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '"errors">You are not a fedocal admin, you are not allowed '
-                'to access the admin part.</' in output.data)
+                'to access the admin part.</', output_text)
 
         user = FakeUser(fedocal.APP.config['ADMIN_GROUP'])
         with user_set(fedocal.APP, user):
             output = self.app.get('/admin/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Admin - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<h2>Admin interface</h2>' in output.data)
-            self.assertTrue(
-                '<option value="delete">Delete</option>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Admin - Fedocal</title>', output_text)
+            self.assertIn(
+                '<h2>Admin interface</h2>', output_text)
+            self.assertIn(
+                '<option value="delete">Delete</option>', output_text)
 
             output = self.app.get(
                 '/admin/?calendar=test_calendar&action=edit',
                 follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Home - Fedocal</title>' in output.data)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Home - Fedocal</title>', output_text)
+            self.assertIn(
                 '<li class="errors">No calendar named test_calendar could '
-                'be found</li>' in output.data)
+                'be found</li>', output_text)
 
             self.__setup_db()
 
@@ -901,23 +968,25 @@ class Flasktests(Modeltests):
                 '/admin/?calendar=test_calendar&action=edit',
                 follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Edit calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<h2>Edit calendar "test_calendar"</h2>' in output.data)
-            self.assertTrue(
-                'type="text" value="test_calendar"></td>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Edit calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                '<h2>Edit calendar "test_calendar"</h2>', output_text)
+            self.assertIn(
+                'type="text" value="test_calendar"></td>', output_text)
 
             output = self.app.get(
                 '/admin/?calendar=test_calendar&action=delete',
                 follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Delete calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<h4>Calendar: test_calendar</h4>' in output.data)
-            self.assertTrue(
-                'value="Delete">' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Delete calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                '<h4>Calendar: test_calendar</h4>', output_text)
+            self.assertIn(
+                'value="Delete">', output_text)
 
     @flask10_only
     def test_add_calendar(self):
@@ -926,33 +995,36 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar/add/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
+            output_text = output.get_data(as_text=True)
             # discoveryfailure happens if there is no network
             self.assertTrue(
                 '<title>OpenID transaction in progress</title>'
-                in output.data or 'discoveryfailure' in output.data)
+                in output_text or 'discoveryfailure', output_text)
 
         user = FakeUser(['test'])
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar/add/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '"errors">You are not a fedocal admin, you are not allowed '
-                'to add calendars.</' in output.data)
+                'to add calendars.</', output_text)
 
         user = FakeUser(fedocal.APP.config['ADMIN_GROUP'])
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar/add/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Add calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                'for="calendar_name">Calendar</label>' in output.data)
-            self.assertTrue(
-                'contact">Contact email' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Add calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                'for="calendar_name">Calendar</label>', output_text)
+            self.assertIn(
+                'contact">Contact email', output_text)
             self.assertEqual(
-                output.data.count('<span class="required">*</span>'), 3)
+                output_text.count('<span class="required">*</span>'), 3)
 
-            csrf_token = output.data.split(
+            csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
 
             # calendar should have a name
@@ -965,8 +1037,9 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<td>This field is required.</td>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<td>This field is required.</td>', output_text)
 
             # Works
             data = {
@@ -979,8 +1052,9 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="message">Calendar added</li>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="message">Calendar added</li>', output_text)
 
             # This calendar already exists
             data = {
@@ -993,9 +1067,10 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '="errors">Could not add this calendar to the database</'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '="errors">Could not add this calendar to the database</',
+                output_text)
 
     @flask10_only
     def test_delete_calendar(self):
@@ -1006,34 +1081,35 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar/delete/1/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
+            output_text = output.get_data(as_text=True)
             self.assertTrue(
                 '<li class="errors">You are not a fedocal admin, you are not'
-                ' allowed to delete the calendar.</l'
-                in output.data)
-            self.assertTrue(
-                '<title>Home - Fedocal</title>'
-                in output.data)
+                ' allowed to delete the calendar.</l',
+                output_text)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
 
         user = FakeUser(['packager'], username='kevin')
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar/delete/50/',
                                   follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '"errors">No calendar named 50 could be found</'
-                in output.data)
-            self.assertTrue('<title>Home - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '"errors">No calendar named 50 could be found</',
+                output_text)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
 
             output = self.app.get('/calendar/delete/test_calendar/')
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Delete calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                "Are you positively sure that's what you want to do?"
-                in output.data)
-            self.assertTrue(
-                'name="confirm_delete" type="checkbox" value="y"><label'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Delete calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                "Are you positively sure that's what you want to do?",
+                output_text)
+            self.assertIn(
+                'name="confirm_delete" type="checkbox" value="y"><label',
+                output_text)
 
             # No data
             data = {}
@@ -1041,16 +1117,17 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/delete/test_calendar/',
                                    data=data, follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Delete calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                "Are you positively sure that's what you want to do?"
-                in output.data)
-            self.assertTrue(
-                'name="confirm_delete" type="checkbox" value="y"><label'
-                in output.data)
-
-            csrf_token = output.data.split(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Delete calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                "Are you positively sure that's what you want to do?",
+                output_text)
+            self.assertIn(
+                'name="confirm_delete" type="checkbox" value="y"><label',
+                output_text)
+
+            csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
 
             # No delete
@@ -1061,11 +1138,11 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/delete/test_calendar/',
                                    data=data, follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Home - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<span class="calendar_name">test_calendar</span>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
+            self.assertIn(
+                '<span class="calendar_name">test_calendar</span>',
+                output_text)
 
             # Delete
             data = {
@@ -1076,14 +1153,15 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/delete/test_calendar/',
                                    data=data, follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Home - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<li class="message">Calendar deleted</li>'
-                in output.data)
-            self.assertFalse(
-                '<span class="calendar_name">test_calendar</span>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Home - Fedocal</title>', output_text)
+            self.assertIn(
+                '<li class="message">Calendar deleted</li>',
+                output_text)
+            self.assertNotIn(
+                '<span class="calendar_name">test_calendar</span>',
+                output_text)
 
     @flask10_only
     def test_clear_calendar(self):
@@ -1095,35 +1173,37 @@ class Flasktests(Modeltests):
             output = self.app.get('/calendar/clear/1/',
                                   follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="errors">No calendar named 1 could be found</li'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="errors">No calendar named 1 could be found</li',
+                output_text)
 
             output = self.app.get('/calendar/clear/test_calendar/',
                                   follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<li class="errors">You are not an admin of this calendar, '
-                'you are not allowed to clear the calendar.</l'
-                in output.data)
-            self.assertTrue(
-                '<title>Home - Fedocal</title>'
-                in output.data)
+                'you are not allowed to clear the calendar.</l',
+                output_text)
+            self.assertIn(
+                '<title>Home - Fedocal</title>', output_text)
 
         user = FakeUser(['packager'], username='kevin')
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar/clear/test_calendar/')
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Clear calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                "Are you positively sure that's what you want to do?"
-                in output.data)
-            self.assertTrue(
-                'name="confirm_delete" type="checkbox" value="y"><label'
-                in output.data)
-            self.assertTrue(
-                '>Yes I want to clear this calendar</label>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Clear calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                "Are you positively sure that's what you want to do?",
+                output_text)
+            self.assertIn(
+                'name="confirm_delete" type="checkbox" value="y"><label',
+                output_text)
+            self.assertIn(
+                '>Yes I want to clear this calendar</label>', output_text)
 
             # No data
             data = {}
